| helics 3.6.1

Public Member Functions | Protected Member Functions | List of all members
helics::tcp::TcpBrokerSS Class Referencefinal

`#include <TcpBroker.h>`

Inheritance diagram for helics::tcp::TcpBrokerSS:

## Public Member Functions
| TcpBrokerSS (bool rootBroker=false) noexcept
| TcpBrokerSS (std::string_view broker_name)
Public Member Functions inherited from helics::NetworkBroker< TcpCommsSS, gmlc::networking::InterfaceTypes::TCP, static_cast< int >(CoreType::TCP_SS)>
| NetworkBroker (bool rootBroker=false) noexcept
| NetworkBroker (std::string_view broker_name)
virtual std::string | generateLocalAddressString () const override
Public Member Functions inherited from helics::CommsBroker< COMMS, BrokerT >
| CommsBroker () noexcept
| CommsBroker (bool arg) noexcept
| CommsBroker (std::string_view obj_name)
| ~CommsBroker ()
virtual void | transmit (route_id rid, const ActionMessage &cmd) override
virtual void | transmit (route_id rid, ActionMessage &&cmd) override
virtual void | addRoute (route_id rid, int interfaceId, std::string_view routeInfo) override
virtual void | removeRoute (route_id rid) override
COMMS * | getCommsObjectPointer ()

## Protected Member Functions
virtual std::shared_ptr< helicsCLI11App > | generateCLI () override

## Additional Inherited Members
Protected Attributes inherited from helics::NetworkBroker< TcpCommsSS, gmlc::networking::InterfaceTypes::TCP, static_cast< int >(CoreType::TCP_SS)>
std::mutex | dataMutex
| mutex protecting the configuration information
NetworkBrokerData | netInfo
| structure containing the networking information
Protected Attributes inherited from helics::CommsBroker< COMMS, BrokerT >
std::atomic< int > | disconnectionStage {0}
| the stage of disconnection
std::unique_ptr< COMMS > | comms
| the actual comms object
std::atomic< bool > | brokerInitialized {false}
| atomic protecting local initialization

## Detailed Description

single socket version of the TCP broker

## Constructor & Destructor Documentation

## ◆ TcpBrokerSS()

helics::tcp::TcpBrokerSS::TcpBrokerSS | ( | bool | rootBroker = `false` | ) |
| explicit noexcept

default constructor

## Member Function Documentation

## ◆ generateCLI()

std::shared_ptr< helicsCLI11App > helics::tcp::TcpBrokerSS::generateCLI | ( |  | ) |
| override protected virtual

generate a CLI11 Application for subprocesses for processing of command line arguments

Reimplemented from helics::NetworkBroker< TcpCommsSS, gmlc::networking::InterfaceTypes::TCP, static_cast< int >(CoreType::TCP_SS)>.

References helics::NetworkBroker< COMMS, baseline, tcode >::generateCLI().

The documentation for this class was generated from the following files:

- TcpBroker.h
- TcpBroker.cpp